/*
 *   Copyright 2008 Engineering Ingegneria Informatica S.p.A.

    This file is part of Spago4Q.

    Spago4Q is free software; you can redistribute it and/or modify
    it under the terms of the GNU Lesser General Public License as published 
    by the Free Software Foundation; either version 3 of the License, or
    any later version.

    Spago4Q is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/
package it.eng.cipher;

import javax.crypto.KeyGenerator;
import javax.crypto.SecretKey;

import org.apache.commons.codec.binary.Hex;

public class CipherGenerator {
    public CipherGenerator() {
        super();
    } // public CipherGenerator()

    public static void main(String[] args) {
        try {
            KeyGenerator kgen = KeyGenerator.getInstance("AES");
            kgen.init(128);
            SecretKey skey = kgen.generateKey();
            byte[] rawSkey = skey.getEncoded();
            char[] charSkey = Hex.encodeHex(rawSkey);
            System.out.println("hex key = " + new String(charSkey));
        } // try
        catch (Exception e) {
            e.printStackTrace();
        } // catch (Exception e)
    } // public static void main(String[] args)
} // public class CipherGenerator
