package it.eng.configurazione.test;

import java.util.Iterator;
import java.util.List;

import it.eng.configurazione.bean.ExtractionProcess;
import it.eng.configurazione.bean.Kpi;
import it.eng.configurazione.bean.Project;
import it.eng.configurazione.bean.ProjectKpi;
import it.eng.configurazione.service.ConfigurationDAO;
import junit.framework.TestCase;

public class ProjectTest extends TestCase {

	public ProjectTest(String arg0) {
		super(arg0);
	}

	protected void setUp() throws Exception {
		super.setUp();
	}

	protected void tearDown() throws Exception {
		super.tearDown();
	}

	public void testReadKpi() {
		ConfigurationDAO dao=new ConfigurationDAO();
		List<Kpi> tmp=dao.readKpi("FT_REQUIREMENTS");
		System.out.println("e");
	}
	public void testReadProject() {
		ConfigurationDAO dao=new ConfigurationDAO();
		//List<ProjectKpi> tmp=dao.readProject("New Requirements");
		List<String> tmp=dao.readProject("FT_REQUIREMENTS");
		Iterator<String> iter=tmp.iterator();
		assertEquals("Project1", iter.next());
		assertEquals("Project2", iter.next());
		assertEquals("Project3", iter.next());
	}
	public void testReadAllProject() {
		ConfigurationDAO dao=new ConfigurationDAO();
		//List<ProjectKpi> tmp=dao.readProject("New Requirements");
		List<String> tmp=dao.readAllProject();
		Iterator<String> iter=tmp.iterator();
		assertEquals("Project1", iter.next());
		assertEquals("Project2", iter.next());
		assertEquals("Project3", iter.next());
	}	
}
